package com.tuoheng.admin.service.third.airport;

import com.tuoheng.admin.entity.domain.Inspection;
import com.tuoheng.admin.entity.request.airport.DroneHoverRequest;
import com.tuoheng.admin.entity.request.airport.ReversalFlightRequest;
import com.tuoheng.admin.entity.vo.airport.AirportInfoVo;
import com.tuoheng.admin.entity.vo.airport.AirportLineVo;
import com.tuoheng.common.core.utils.JsonResult;

import java.util.List;

public interface AirportService {

    List<AirportInfoVo> getAirportInfoList(String airportIds);

    List<AirportLineVo> getAirportLineListByAirportIdAndLineIdList(String airportId, List<Integer> airportLineIdList);

    JsonResult getAirportList();

    JsonResult getAirLineList(Integer droneId);

    JsonResult executeTask(String userId, Inspection inspection);

    JsonResult getAirportDetail(Integer airportId);

    JsonResult getAirportVideo(Integer droneId);

    /**
     *
     * 无人机悬停
     *
     * @param request
     * @return
     */
    JsonResult hover(DroneHoverRequest request);

    /**
     * 无人机返航
     * @param request
     * @return
     */
    JsonResult reversalFlight(ReversalFlightRequest request);
}
